Описание тега multiarch

Вопросы, относящиеся к возможности системы устанавливать и запускать приложения из нескольких различных двоичных целей в одной системе. Например, запуск 32-битного Linux-приложения в 64-битной Linux-системе.
0 ответов

Несмотря на настройки Multiarch, Ubuntu 16.04 не поддерживает установку 32-битных и 64-битных библиотек в ОС

Мне нужно скомпилировать / связать 32-битные и 64-битные исполняемые файлы C/C++ в Ubuntu 16.04 (64-битные). Я выполнил следующие командные строки: sudo apt-get install build-essential sudo apt-get install automake libtool libtool-bin sudo dpkg --ad…
1 ответ

Установи скайп на 14.04 попробовал отследить проблему

Я пытался установить Skype на Ubuntu 14.04. Я думаю, что проследил проблему назад и нуждаюсь в помощи. Сначала я проверил, включен ли multiarch. [email protected]:~$ dpkg --print-architecture amd64 а также [email protected]
11 дек '14 в 03:50
1 ответ

Как переустановить libgcc1:i386, который ломает libgcc1?

Итак, я пошел и сделал что-то очень глупое. У меня есть репозиторий ubuntu-toolchain-r, добавленный в репозитории, который некоторое время назад предоставил libgcc1:i386 среди прочего. В течение некоторого времени пакеты i386 показывались как сохран…
16 апр '15 в 10:38
2 ответа

Если у меня процессор x64, но я установил дистрибутив Ubuntu x86, могу ли я по-прежнему запускать 64-битные исполняемые файлы?

Кроме того, возможно ли установить ядро ​​x64, чтобы преобразовать его в полную 64-битную установку?
19 ноя '14 в 21:31
6 ответов

Пропуск приобретения настроенного файла 'main/binary-i386/Packages' в качестве хранилища 'xxx' не поддерживает архитектуру 'i386'

Получение ниже сообщения об ошибке при выдаче: sudo apt-get update Get:1 http://us.archive.ubuntu.com/ubuntu xenial InRelease [95.8 kB] Ign:2 http://repo.mongodb.org/apt/debian wheezy/mongodb-org/3.2 InRelease Ign:3 http://dl.google.com/linux/chrome…
03 мар '16 в 02:01
2 ответа

Невозможно получить доступ к тире после удаления Google Chrome

После того как я удалил пакет Google Chrome через команду sudo apt-get remove google-chrome-stable, Я не мог получить доступ к тире. Я старался sudo apt-get install unity-scope-home команда, но это дает мне ошибку о неудовлетворенных зависимостях. П…
09 янв '14 в 07:23
2 ответа

Принтер Canon LBP6000 не работает с Ubuntu 14.04

Я использую Ubuntu 14.04. Я новичок в Linux, и мой принтер Canon LBP6000 не работает с Ubuntu 14.04. Я попробовал ответ на этот вопрос как решение, но я не работал. Я попробовал следующие команды: # amd64 only dpkg --add-architecture i386 apt-get up…
08 авг '15 в 17:10
2 ответа

Рискованно удалять все пакеты i386 при 64-битной установке?

Я не использую 32-битное приложение на моем 64-битном Vivid, поэтому я хочу удалить все пакеты i386, но мне интересно, можно ли это сделать безопасно. Спасибо за помощь! Изменить: вот возвращение из 'dpkg -l | grep i386'команда> http://paste.ubuntu.…
13 май '15 в 18:51
4 ответа

Каков статус multiarch для 11.10?

Каков запланированный статус поддержки Multiarch в 11.10? В AMD64 Alpha 1 я попытался установить пакет i386 google chrome с помощью dpkg. Установка не удалась из-за несоответствия архитектуры. Планируется ли поддержка такого рода установки или я что…
20 июн '11 в 11:48
1 ответ

Ubuntu 14.04.3 libsdl2-2.0-0:i386 хочет понизить xorg

Ubuntu 14.04.4 LTS kernel 3.19, xorg 1.17 (яркий стек HWE) sudo apt-get install libsdl2-2.0-0:i386 дает следующий вывод. Это не может быть правдой! Мне это нужно для ПК x2 1.4.0 Reading package lists... Done Building dependency tree Reading state in…
20 фев '16 в 09:19
1 ответ

Ubuntu 16.04 Проблема с обновлением

Кто-нибудь знает, что я должен сделать, чтобы решить эту проблему? Я недавно получил это после того, как я делаю sudo apt-get update: N: Skipping acquire of configured file 'main/binary-foreign-architecture/Packages' as repository 'http://ppa.launch…
16 июн '17 в 23:38
3 ответа

Deb пакет i386 для машин amd64

Я создаю приложение и хочу создать пакет DEB, но у меня проблема... Я хочу, чтобы в пакет DEB можно было устанавливать как 32-битные, так и 64-битные машины. Затем я создаю 32-битный пакет для поддержки обеих архитектур, но у меня возникают проблемы…
25 янв '12 в 17:17
1 ответ

Можно ли установить программное обеспечение amd64 на aarch64?

У меня есть учетная запись VPN Unlimited, и я хочу установить ее на мою книгу. Когда я пытаюсь использовать GDebi, я получаю сообщение "Статус: Ошибка: неверная архитектура" amd64 "" Нужно ли ждать, пока vpnto выпустит aarch64, или я могу что-то сде…
05 авг '17 в 10:30
1 ответ

Создание многоарочных пакетов локально

Я впервые пытаюсь собрать пакеты debian/ubuntu для разных архитектур. Для этого я решил использовать pbuilder, используя скрипт.pbuilderrc из https://jodal.no/2015/03/08/building-arm-debs-with-pbuilder/. Затем я использую dpkg-buildpackage -S или же…
13 янв '16 в 10:13
6 ответов

Что случилось с пакетом ia32-libs?

ia32-libs пакет больше не присутствует в репозиториях Ubuntu 12.04 для 64-битной системы. Есть ли доступные для скачивания пакеты для замены?
24 фев '12 в 08:48
0 ответов

Что такое поддержка multiarch для 64-битного пакета Google Планета Земля?

Официальная страница Ubuntu для Google Earth гласит: Примечание для 64-битных пользователей: 64-битный пакет debian зависит от ia32-libs, который устарел и больше не доступен с 13.10 Saucy. Используйте 32-битный пакет и поддержку multiarch. Где эта…
23 июн '15 в 17:31
1 ответ

Как запустить WineTricks в 32-битном режиме на 64-битной системе

Я использую WineTricks для установки некоторых библиотек DLL, но я сталкиваюсь с этой проблемой при установке.NET Framework: Итак, как мне запустить WineTricks в 32-битном режиме?
02 май '16 в 02:24
0 ответов

Установка 32-битного SDL2 в 64-битной Ubuntu 18.04 LTS

Пытаюсь установить libsdl2-2.0:i386Меня с этим встречают Reading package lists... Done Building dependency tree Reading state information... Done Note, selecting 'libsdl2-2.0-0:i386' for regex 'libsdl2-2.0' Some packages could not be installed. This…
25 май '18 в 03:45
1 ответ

Неудовлетворенные зависимости, когда я пытаюсь установить вино или скайп

У меня есть dell inspiron 64 bit, и я использую Windows 7 и Ubuntu в режиме двойной загрузки У меня проблемы с установкой скайпа и вина. Когда я пытаюсь установить Skype и т.д., я получаю следующую ошибку: sudo apt-get install ia32-libs Чтение списк…
15 ноя '12 в 05:19
2 ответа

Как я могу переключить 64-битную установку на 32-битную?

Я хочу превратить мою 64-битную установку в 32-битную. До сих пор я пытался установить 32-битное ядро ​​с помощью этой команды: sudo apt-get install linux-image:i386 linux-image-generic:i386 linux-image-generic-pae:i386 linux-firmware:i386 Эта коман…
28 дек '12 в 12:23